<?
set_time_limit(0);
require("../../conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

$query="select *,adicionalA as doce_uuid from doce where tipodocto='NOTIFICACION DE PAGO' and (adicionalA is not null and length(adicionalA) > 0) and (adicionalB='EFT/ACH' or (fechaPago is null or length(trim(fechaPago)) = 0))";

if($rQuery = mysqli_query($conexion->CONEXION,$query)){
	if(mysqli_num_rows($rQuery) > 0){
		$errores_no=0;
		$errores="";
		$arrUUID = array();
		$con=0;
		while($tmp = mysqli_fetch_assoc($rQuery)){
				$qRelRep = "select FechaPago, FormaDePago from recibedoce_pagos_docto_relacionado rpdr inner join recibedoce_pagos rdp on rpdr.recibedoce_pagos_id = rdp.recibedoce_pagos_id where
				rpdr.doce_uuid = '".$tmp["doce_uuid"]."' group by doce_UUID";
				if($rRelRep = mysqli_query($conexion->CONEXION,$qRelRep)){
					if(mysqli_num_rows($rRelRep) > 0){
						$tRelRep = mysqli_fetch_assoc($rRelRep);
						$qry = "update doce set fechaPago='".$tRelRep["FechaPago"]."', adicionalB='".$tRelRep["FormaDePago"]."' where adicionalA='".$tmp["doce_uuid"]."'";
						if(mysqli_query($conexion->CONEXION,$qry)){
							writeLog("modificaNPmasivo",$qry." -> actualizado",0,1);
						}else{
							$errores_no++;
							// $errores.=mysqli_error($conexion->CONEXION)."<br/>";
							writeLog("modificaNPmasivo",$qry." -> Error: ".mysqli_error($conexion->CONEXION),1,0);
						}
					}else{
						writeLog("modificaNPmasivo",$qRelRep." -> Error: No existe relación",1,0);
					}
				}else{
					$errores_no++;
					// $errores.=mysqli_error($conexion->CONEXION)."<br/>";
					writeLog("modificaNPmasivo",$qRelRep." -> Error: ".mysqli_error($conexion->CONEXION),1,0);
				}
					
			
		}
		echo "No. Errores: ".$errores_no."<br/>";
		// echo "Mensajes de Error: ".$errores;
		// var_dump($arrUUID);
	}
}
function writeLog($nombreArchivo, $mensaje, $log, $debug){
	$logArchivo = $nombreArchivo."_".date("Ymd").".log";
	$debugArchivo = $nombreArchivo."_".date("Ymd").".debug";
	if($log == 1){
		if(file_exists($logArchivo)){$fp = fopen($logArchivo,"a+");}else{$fp = fopen($logArchivo,"w+");}
		$fecha = date("Y-m-d-TH:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
	if($debug == 1){
		if(file_exists($debugArchivo)){$fp = fopen($debugArchivo,"a+");}else{$fp = fopen($debugArchivo,"w+");}
		$fecha = date("Y-m-d-TH:i:s");
		fwrite($fp,"\r\n".$fecha." -> ".$mensaje);
		fclose($fp);
	}
}
?>